{
  "type": "minecraft:fishing",
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "name": "minecraft:gameplay/fishing/junk",
          "quality": 2,
          "weight": 16
        },
        {
          "type": "minecraft:loot_table",
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "type_specific": {
                  "type": "fishing_hook",
                  "in_open_water": true
                }
              }
            }
          ],
          "name": "minecraft:gameplay/fishing/treasure",
          "quality": 5,
          "weight": 4
        },
        {
          "type": "minecraft:loot_table",
          "name": "minecraft:gameplay/fishing/fish",
          "quality": -1,
          "weight": 120
        },
        {
          "type": "minecraft:item",
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "type_specific": {
                  "type": "fishing_hook",
                  "in_open_water": true
                }
              }
            }
          ],
          "name": "kubejs:pale_squid",
          "quality": 2,
          "weight": 5
        }
      ],
      "rolls": 1
    }
  ],
  "random_sequence": "minecraft:gameplay/fishing"
}